<?php

function help_get_rules () {
	
	return('`^1. Namensgebung`n
`@Gib deinem Charakter einen Namen, der sich fr Rollenspiele eignet und der zumindest mit etwas Vorstellungskraft als Name zu erkennen ist. Namen aus dem "Real Life" sind dafr nur bedingt geeignet. Namen von realen bekannten Personen oder Film- und Romanhelden (Helmut Kohl, Roberto Blanco, Dschingis Kahn, Legolas, Bernd das Brot usw.) sind untersagt, ebenso wie beschreibende und "Spitznamen" oder einfach nur willkrliche Begriffe jeglicher Sprache (Krmel, Bucket, RedHotdog, HappyHippo etc).`n
Bei der Anmeldung erhlt dein Charakter den Titel "Bauernmdchen" oder "Bauernjunge". Zustzliche Titel im Namen sind nicht erlaubt (z.B. Kurt der Priester, Rudi der Zerstrer, Heilerin Gaby...). Einschrnkungen geleten auch fr die sptere nderung des eigenen Titels. Titel, welche vom Spiel vergeben werden, drfen hier nicht verwendet werden. Titel, die man fr Drachenkills erhlt (Bauer, Lord, Hndler...) drfen nur als eigene Titel verwendet werden, wenn der Charakter diesen Titel bereits inne hatte. Diese sind zur besseren Unterscheidung farblich hervorzuheben. Anstige, obszne, rassenfeindliche und hnliche Namen und Titel werden nicht geduldet und der betroffene Charakter sofort gelscht. Das gilt auch fr die Wahl des Avatars!
            `n`n
			`^2. Multi-Accounts`n
			`@Auf diesem Server darfst du maximal 2 Accounts haben. Bedingung dafr ist aber, dass die Charaktere nichts miteinander zu tun haben. Du darfst also zwischen deinen Charakteren weder Gold oder Edelsteine austauschen, noch sie gegenseitig auf die Kopfgeldliste setzen oder gegeneinander im PvP antreten lassen. 
			Beide Charaktere drfen hingegen in demselben Haus wohnen, allerdings nur bei Einhaltung der zuvor genannten Bedingungen und wenn das Haus keinem der Spieler-Chars gehrt. 
			Zwei Accounts derselben Gilde beitreten zu lassen, ist ebenfalls verboten.
			Bei Missachtung erfolgt ein Serverbann, bei Wiederholung Lschung des strksten Chars. Ebenso darf dein 2. Account nicht vom Ersten geworben worden sein um Donation-Punkte zu erhaschen! Verste gegen diese Regel werden ebenfalls mit dem Lschen der strksten Charaktere des Spielers bestraft. Weitere einschrnkende Bedingung fr einen zweiten Account ist, dass du nicht mit beiden Accounts gleichzeitig eingeloggt sein darfst. Dies wre extrem unfair anderen Spielern gegenber, da der Platz auf diesem Server begrenzt ist. Solltest du mit 2 Accounts gleichzeitig eingeloggt sein, wird einer der Beiden von einem MOD(erator) ausgeloggt, bei Wiederholung erwartet dich ein Serverbann.
			Zuletzt eine weitere wichtige Regelung: Pro PC bzw. Leitung  (bei Routern) sind nur 2 Accounts erlaubt, unabhngig davon, ob sie demselben Spieler gehren oder nicht. 
			`n`n
			`^3. Passwrter weitergeben oder fr Freunde spielen`n
			`@Es ist verboten Passwrter weiterzugeben. Demzufolge kann auch niemand fr einen Freund mitspielen. Spielt jemand trotzdem fr einen Freund, werden beide Charaktere als Multi-Account gewertet und es gelten die in Punkt 2 genannten Einschrnkungen und Strafen. (Siehe dazu auch Regel 8.)
			Jeder Spieler ist fr die Aktionen, Aussagen und Mails seines Accounts verantwortlich! Solltest du einen Freund fr dich spielen lassen und dieser deinen Account missbrauchen, um gegen die Regeln zu verstoen, so trgst du die Verantwortung und erleidest die Folgen!
			`n`n
			`^4. Cheaten, Bugs ausnutzen`n
			`@Dieses Spiel befindet sich - speziell auf diesem Server - stndig in der Entwicklung und kann daher Fehler enthalten. Wer eine Schwachstelle oder eine Mglichkeit zu Cheaten findet, ist verpflichtet, diese dem Admin oder einem MOD(erator) mitzuteilen. Offensichtliche Fehler sind ebenfalls sofort zu melden, bevor durch das Ausnutzen der Fehler grerer Schaden entstanden ist. Das gilt nicht nur, wenn der Charakter durch den Fehler einen Nachteil hat, sondern auch und ganz besonders, wenn der Charakter dadurch einen Vorteil htte! Wenn etwas merkwrdig erscheint, oder zu anderen Bereichen in Widerspruch steht, lieber einmal zu oft nachfragen, als es auszunutzen.
			Gefundene und gemeldete Fehler werden u.U. mit Donationpoints belohnt. Sollten dir durch einen Fehler Nachteile entstanden sein, so wird dein Schaden bestmglich beglichen, jedoch muss nachvollziehbar sein, wie und wo der Schaden entstanden ist. Sollte diesbezglich kein Fehler im Spiel entdeckt werden, wird dir auch nichts ersetzt! Da sich dieses Spiel in der Beta-Phase befindet besteht keinerlei Anspruch auf Korrektheit!`n
			Der PHP Sourcecode auf diesem Server ist zu einem groen Teil jedem frei zugnglich. Den Source zu lesen, um Schwachstellen zu finden, ist erlaubt und erwnscht. Eventuell gefundene Schwachstellen auszunutzen, statt sie zu melden, ist allerdings verboten und fhrt frher oder spter zur Lschung der betroffenen Charaktere. Es ist auch nicht erlaubt, Charaktere durch Programme irgendwelcher Art automatisiert zu steuern.
			`n`n
			`^5. HTML in der Bio`n
			`@Grundstzlich ist es jedem Spieler erlaubt, seine Bio durch die Verwendung von HTML-Code zu gestalten und atmosphrisch zu schmcken. Wie so etwas gemacht wird erfhrst du jedoch nicht von uns. Hierbei ist es verboten, die rumliche Begrenzung des Biotextes durch Mittel wie Stretchtext, einfgen von Bildern, die weiteren Text enthalten oder auch automatische Popups zu umgehen.`n
			In die Bio darf <u>nur ein Bild</u> mit einer maximalen Gre von 300x300 Pixeln eingefgt werden, das Personen, Tiere, "Wesen" im allgemeinen Sinne oder Landschaften zeigt und <u>keinen lngeren Text</u> enthlt, ebenso sind Bilder in bergre und Bilder auf langsamen Servern nicht zugelassen, da sie beim Abruf der Bio zu Strungen fhren knnen.`n
			Erlaubt sind beispielsweise alle Arten von Dekoration, Symbolen und Trennzeilen, sofern deren Verffentlichung legal ist (Im besonderen gilt das fr urheberrechtlich geschtztes Material und verbotene Symbole.)`n
			Bei Verstssen wird HTML in der betreffenden Bio deaktiviert.
            `n`n
			`^6. Spam und Werbung`n
			`@Spam, Flooding und hnliches ist natrlich verboten. Dazu zhlen auch OOC-Kommentare (OOC = Out of Character), die immer in Klammern zu halten sind, wenn sie auf einem der Spielorte geschrieben werden. Wer den Chat "zumllt", fliegt raus.
			Ich nehme groe Mhen und Kosten auf mich, um diesen Server weitestgehend werbefrei zu halten, da will ich natrlich nicht, dass er zur kostenlosen Werbeplattform fr andere Seiten verkommt. Links in Chat-Areas werden kommentarlos entfernt.
			Werbeaktionen per Mail oder in Husern werden mit Serverbann "belohnt"!`n
			Sollen Skripte von diesem Server fr einen anderen Server verwendet werden, so ist es gute Sitte, die im Skript enthaltenen Copyrighthinweise und Kommentare unangetastet zu lassen. Der Quelltext darf selbstverstndlich beliebig verbessert und erweitert werden, wobei wir uns ber eventuelle Verbesserungen und Erweiterungen sehr freuen wrden.
			`n`n
			`^7. Umgangston`n
			`@Beleidigungen und schlechter Umgangston werden nicht geduldet. Natrlich haben Zwerge und Trolle darber unterschiedliche Ansichten als Menschen und Elfen, aber alles, was ber das Rollenspiel hinausgeht, sollte in angemessenem Ton stattfinden.
			Streitereien gehren in Mails (NICHT Ye Olde) oder ICQ, aber keinesfalls auf den Dorfplatz.`n
            Mails bleiben auch nach Lschung des Absenders erhalten und sind mit Datum, Uhrzeit und IP-Adresse des Senders versehen!
			`n`n			
			`^8. Richter / Stadtwache`n
			`@Die Richter und Stadtwachen sind rollenspielerische Elemente. Die Richter sind dafr zustndig, Urteile zu fllen und Strafen festzulegen, wenn u.a. eines der folgenden Verbrechen begangen wurde:`n
			- Einbruch (mit oder ohne Mord) in ein Haus oder die Kneipe`n
			- Ausbruch aus dem Kerker`n
			- Angriffe auf Richter und Stadtwachen in den Feldern oder Husern`n
			Die Stadtwachen sind die Urteilsvollstrecker und werden jeden Verurteilten so lange jagen, bis er im Kerker sitzt und seine Strafe verbt hat. 
			Gibt es fr euren Charakter im Spiel einen Grund, einen Stadtwachen-Charakter zu attackieren (wenn er z.B. zu oft mit eurer Frau oder Verlobten flirtet?), teilt es dem Hauptmann der Wache zuvor mit, da er ansonsten davon ausgeht, dass ihr einen unerlaubten Angriff auf die Stadtwache ausfhrt. 
			Sollte ein anderer Charakter dem Euren ein Unrecht angetan haben, knnt ihr, statt Selbstjustiz zu ben, den Fall auch vor Gericht bringen und den Tter anzeigen. Die Richter werden den Fall verhandeln und ein gerechtes Urteil fllen. 
			`n`n
			`^9. Tempelpriester`n
			`@Die Tempelpriester sind dazu da, euch zu verheiraten und Ehen wieder aufzulsen (das gilt auch fr Ehen mit Violet oder Seth). Es ist ihnen untersagt, andere Charaktere im PvP anzugreifen (ausgenommen in der Arena). Einzige Ausnahme ist, wenn ein Priester in den Feldern angegriffen wird, dann ist dieser berechtigt, sich einmalig zu rchen. 
			Ansonsten sind die Priester nicht anzutasten und drfen weder in der Kneipe noch in den Husern angegriffen werden. Bei Missachtung sind sie dazu berechtigt, euren Charakter nach ihrem Gutdnken zu verfluchen. 
			`n`n
			`^10. Darstellung von Gewalt und Sexualitt`n
			`@Auf diesem Server sind Spieler allen Alters willkommen. Daher ist die Darstellung von Gewalt- und Erotikszenen an ffentlich zugnglichen Pltzen, wie dem Dorfplatz, dem Garten oder dem See jugendfrei zu halten, sprich verboten. Explizite Darstellungen jeglicher Art werden sofort gelscht und der Spieler erhlt eine Verwarnung und bei Wiederholung eine gerechte Strafe. Ebenso wird mit unerwnschten Mails verfahren. Sollte die Darstellung solcher Szenen fr dich unbedingt notwendig sein, so beschrnke sie auf Orte zu denen niemand auer dir und von dir bestimmte Personen Zugang haben, wie ein Haus oder die Lichtung. Achte als Hausherr stets darauf, dass in diesem Fall alle, die in deinem Haus wohnen, volljhrig sind.`n
			Gossensprache wird automatisch aus Chatbeitrgen und Mails gefiltert, im Falle der Mails kann dieser Filter jedoch von jedem User abgeschaltet werden. Der Betreiber des Server behlt sich vor unpassende bzw anstssige Beitrge, oder solche, die ein anderer Spieler als unangemessen empfinden knnte, sofort aus ffentlichen Bereichen zu lschen! Private Bereiche und Huser bleiben davon zunchst unberhrt, Lschungen dort erfolgen auf entsprechenden Hinweis.
			`n`n			
			`^11. Haftung`n
			`@Absolut keine. Betreten des Servers auf eigene Gefahr. ;)
			Es gibt auch keinen Anspruch auf Verfgbarkeit des "Dienstes".
			Alle Charaktere und Accounts sind Eigentum des Serverbetreibers! Der Verkauf eines Accounts (z.B. bei ebay) ist nicht gestattet und der Kauf eines Accounts berechtigt nicht zu dessen Nutzung! Das Verschenken von Accounts an Freunde ist nur nach Absprache mit den Admins erlaubt. (Siehe Regel 2).`n
            Der Betreiber des Servers hat hier "Hausrecht". Es besteht demnach kein Recht auf freie Meinungsuerung oder Privatsphre. Kommentare, die gegen die Regeln verstossen werden ebenso gelscht wie Kritik am Server, seines Betreibers und dessen ernannten Vertretern, sollte die Kritik nicht den Regeln des guten Umgangstons entsprechen, bzw unbegrndet oder als Rache geschehen sein.
            Jeder Chatbereich und alle Postfcher knnen in begrndeten Fllen von Admins (nicht von Mods) eingesehen und deren Inhalte sichergestellt werden.
			`n`n
			`^12. Mods, Admins und Entwickler`n
			`@Der Betreiber dieses Servers ernennt Mods, Admins und Entwickler, um damit ein strungsfreihes Spiel zu gewhrleisten und die technische Weiterentwicklung des Spiels zu ermglichen. Diese sind verpflichtet und dazu bevollmchtigt in seinem Namen Vergehen zu bestrafen und auch gute Taten zu belohnen. Ihre ffentliche Beleidigung oder Denunzierung ist streng verboten, private Konflikte mit ihnen sind auerhalt das Spiels zu lsen.
			Beim Mailverkehr mit einem Mod oder Admin wird um Hflichkeit gebeten. Behandle ihn oder sie so, wie du auch behandelt werden mchtest. Texte, die komplett in Grobuchstaben geschrieben sind, oder "klemmende" Frage- oder Ausrufezeichen tragen nicht unbedingt positiv dazu bei.
			`n`n
			`^13. "Diebstahl" von Edelsteinen`n
			`@Das Vertrauen eines Mitspielers auszunutzen, indem du dir (auch als Dieb) einen Schlssel zu seinem Haus geben lsst und ihm dann die Schatztruhe leerrumst, ist streng verboten und gehrt sich auch einfach nicht. Entsprechende Sicherungsmechanismen einzubauen wre aufwendig und wrde den Spielspa aller User mindern.
			`n`n
			`^14. Mobbing und Kampagnen gegen einzelne User oder Chars`n
			`@Das Spiel bietet mehrere Mglichkeiten einen anderen Spieler zu "foppen" und seine Mglichkeiten ein wenig einzuschrnken. Dazu gehren u.A. der Einbruch, Flche, Heimsuchungen und noch vieles mehr. Einen Spieler jedoch derart damit zu belasten, womglich auch noch in einer Gruppe, dass ihm die Lust am Spiel vergeht, ist verboten! Achte daher darauf, wann es reicht und wann es kein Spa mehr ist!`n
            `n`n
            `^15. Der Drachenkill`n
            `@Es ist das Ziel des Spiels den Grnen Drachen zu tten. Merhfache mutwillige Selbstttung zur Verminderung der eigenen Erfahrungspunkte, die das Ziel hat dem Kampf gegen den Grnen Drachen auszuweichen, ist nicht erwnscht. Das Spiel beinhaltet daher Mechanismen, die im Falle einer Herauszgerung des Drachenkills bestimmte Spielfunktionen abschalten oder einschrnken.
            `n`n
            `^16. Copyright`n
            `@Verwende nur Avatare, die du auch verwenden darfst, d.h. fr die du die Erlaubnis des Authors besitzt, diese im Internet ffentlich verfgbar zu machen. hnliches gilt fr die Drachenbcherei. "Geklaute" Texte drfen nicht verwendet werden! Da wir unmglich in jedem Fall ermitteln knnen ob ein Text wirklich von dir stammt oder nicht, entscheiden wir im Zweifel zugunsten
des Spielers, der den Text eingreicht hat.`n
            WICHTIG : Der Author kann rechtlich gegen die unerlaubte Verffentlichung seines Werkes vorgehen, es gengt nicht die Nennung seines Namens!
            `n`n
            `^17. Regeln frs RPG`n
            `@Gestalte dein RPG so, dass es allen Spa macht und nicht nur dir allein. Charaktere, die alles knnen, unsterblich sind und keinerlei Nachteile haben, sind langweilig und stren.`n
            Wenn du etwas mit einem deiner Mitspieler machst (z.B. Taschendiebstahl, Kampf), dann schreibe deine Aktion so, dass der andere noch die Mglichkeit hat darauf zu reagieren und nicht vor vollendete Tatsachen gestellt wird. Bedenke, dass an ffentlichen Orten, wie dem Dorfplatz, eine gewisse Geruschkulisse vorherrscht, und du nicht unbedingt verstehen kannst, was jemand an anderen Ende des Platzes flstert, auch wenn deine Sinne noch so scharf sind.`n
            Du startest als Bauernjunge bzw Bauernmdchen. Gestalte deine Krfte daher so, dass sie mit dir und deinem Charakter wachsen. Du kannst quasi sagen : Je mehr Drachenkills du hast, desto mehr darf dein Char knnen. Bei bertriebenem Spiel sind die Mods angehalten den betreffenden Spieler
            per olde Mail darauf hinzuweisen.
            `n`n
            `^18. Probleme, Fragen und Wnsche`n
            `@Bei allgemeinen Fragen oder Wnschen kannst du die Disskussionsrume im Dorfamt nutzen,die auch aus dem Totenreich erreichbar sind. Wenn du Probleme oder Fragen hast, die nur dich betreffen oder nicht fr die ffentlichkeit geeignet sind, dann nutze die Funktion "Anfrage schreiben". Solltest du neu sein, und etwas nicht verstanden haben kannst du auch einen Mod oder Admin direkt anschreiben.`n
            In allen Fllen gilt : Nein heit nein! Wenn dein Wunsch abgelehnt wurde wird es dir nichts bringen (auer vielleicht rger) diesen erneut zu uern. Besonders betrifft dies das Anschreiben von Mods und Admins. Wenn du z.B. glaubst, dass dir aufgrund eines Fehler ein Ersatz o.. zusteht, dann schreibe auf jeden Fall eine Anfrage. Das Durchprobieren aller Mods und Admins fhrt zu
            keinem Erfolg, denn : Nein heit nein ;)
            `n`n
		`n');

}

function help_get_rules_short () {

return('`^1. `&Der Name des Charakters muss als Name zu erkennen sein.`n
        `^2. `&Nur 2 Accounts pro Pc, gleichzeitiges Einloggen mit beiden Accounts ist verboten, ebenso wie jegliche Interaktion und Werbung dieser Chars.`n
        `^3. `&Weitergabe von Passwrtern ist verboten.`n
        `^4. `&Spielfehler sind zu melden, Ausnutzung dieser zum eigenen Vorteil ist verboten.`n
        `^5. `&Es ist verboten per HTML <u>mehr als ein Bild</u> in die Bio einzufgen, das Personen, Tiere oder Landschaften zeigt. Das eine erlaubte Bild darf hchstens 300x300 Pixel gro sein und keine wesentlichen Texte enthalten. Unbegrenzt erlaubt sind Muster, Trennzeilen und Deko.`n
        `^6. `&Werbung fr andere Server ist nicht erlaubt, OOC (Out Of Character, s. FAQ) ist in Spielrumen auf ein Minimum zu reduzieren, Spamming und Flooding ist verboten.`n
        `^7. `&Beleidung und Belstigung von Spielern ist untersagt, es wird dringend empfohlen zwichen Realitt und Spiel zu trennen! Niemand ist hier anonym...`n
        `^8. `&Richter, Stadtwachen und Priester sind in ihrem Amt anzuerkennen.`n
        `^9. `&Priester drfen im PvP nicht grundlos angreifen oder angegriffen werden.`n
       `^10. `&Bei der Darstellung von Sex und Gewalt in der ffentlichkeit ist zu beachten, dass dieser Server JUGENDFREI ist. Explizite Darstellung ist verboten.`n
       `^11. `&Smtliche Daten sind Eigentum des Serverbetreibers. Es besteht kein Recht auf Nutzung,Lschung oder Privatsphre.`n
       `^12. `&Mods, Admins und Entwickler sind in ihrem Amt anzuerkennen. Sie sind vom Betreiber des Server dazu berechtigt alles Ntige zu veranlassen um einen ruhigen, strungsfreien Spielbetrieb zu gewhrleisten. Beleidigung, Spott oder Negativkritik in ffentlichen Rumen knnen zu Ausschluss vom Spiel fhren!`n
       `^13. `&Es ist verboten nach Erhalt eines Schlssels aus dem Hausschatz zu stehlen!`n
       `^14. `&bermige gezielte Angriffe, Flche und Einbrche, die sich gegen einen bestimmten Spieler wenden, sind untersagt.`n
       `^15. `&Es ist das Ziel des Spiels den Drachen zu tten. Mutwilliges Hinauszgern des Drachenkills um seine Werte zu behalten ist nicht erwnscht.`n
       `^16. `&Es ist STRENGSTENS verboten Bilder und Avatare ohne Erlaubis des betreffenden Knstlers zu verlinken, oder Bcher einzureichen, die urheberrechtlich geschtztes Material beinhalten!`n
       `^17. `&Powerplay, Autoplay und Anime-Gaming sind nicht erlaubt. Wir sind hier nicht auf RTL2 ;)`n
       `^18. `&Bei Problemen, Fehlern und Wnschen ist eine Anfrage zu schreiben. Das Durchprobieren aller Mods (bis Einer ja sagt) ist untersagt.`n
       
		`n');

}

function help_get_faq_technical () {
	
	return('`^1.a. Wie kann es sein, dass ich von einen anderen Spieler gettet wurde, obwohl ich gerade selbst gespielt habe?`@`n
		Der Hauptgrund dafr ist, wenn jemand einen Angriff auf dich angefangen hat, whrend du offline warst, ihn aber erst beendet hat, als du online warst. Das kann sogar passieren, wenn du 
		stundenlang ununterbrochen spielst. Wenn jemand einen Kampf anfngt, zwingt das Spiel ihn, diesen Kampf zu beenden. Wenn du also angegriffen wirst, und der Angreifer schliesst den Browser bevor der Kampf zuende ist, 
		muss er diesen Kampf bei seinem nchsten Login zuende bringen. Du wirst aber immer das wenigere Gold verlieren, wenn du besiegt wirst. Das heisst, wenn du am Anfang des Kampfes 1 Gold hattest, und am Ende 2000, 
		wird der Angreifer nur 1 Gold bekommen. Ist es andersrum, wird er ebenfalls nur 1 Gold bekommen.`n
		`n
		`^1.b. Warum wurde ich in den Feldern gettet, obwohl ich in der Kneipe geschlafen habe?`@`n
		Das ist im Prinzip das selbe wie oben. Es kann sein, dass ein Kampf angefangen wurde, als du in den Feldern warst, aber erst beendet wurde, als du in der Kneipe warst. Denke immer daran 
		dass du leicht in den Feldern angegriffen werden kannst, wenn du lange Zeit nichts machst, ohne dich auszuloggen. Nach einer gewissen Zeit der Inaktivitt loggt das Spiel dich automatisch in die Felder aus. 
		Es ist also eine gute Idee, sich ein Zimmer zu nehmen, wenn ein paar Minuten vom Computer weg muss, damit man nicht so leicht angegriffen werden kann.`n
		`n
		`^2. Das Spiel erzhlt mir, ich akzeptiere keine Cookies. Was sind Cookies und was kann ich tun?`@`n
		Cookies (Kekse) sind kleine Datenhppchen, die eine Internetseite auf deinem Computer speichert, damit sie dich von anderen Besuchern unterscheiden kann. Einige Firewalls lassen Cookies nicht durch und viele Browser blockieren Cookies in der Standardeinstellung. Lese im Handbuch oder der Hilfedatei deiner Firewall oder deines Browsers nach, wie du Cookies durchlsst, oder durchsuche mal die Optionen und Einstellungen. Es mssen mindestens \"Session Cookies\" akzeptiert werden, aber alle Cookies wren besser. `n
		`n
		`^3. Kann mich nicht einloggen! Komme nicht auf den Dorfplatz!`@`n
		Wenn du den Internet Explorer 6 verwendest, klicke einfach `iExtras - Internetoptionen - Datenschutz - Bearbeiten`i, trage dort "`^'.(getsetting("serverurl","http://".$_SERVER['SERVER_NAME'].dirname($_SERVER['REQUEST_URI']))).'`@" als `iZugelassen`i ein.
		Beim Internet Explorer 5 klickst du `iExtras - Internetoptionen - Sicherheit - "Vertrauenswrdige Sites" - Sites`i und trgst dort die genannte Adresse ein. Alternativ kannst du unter Sicherheit auch einfach `iStandardstufe`i klicken.`n
		`n
		`^4. Die Texte die hier geschrieben werden- knnen die von jedermann gelesen werden? Auch meine persnlichen Mails?`@`n
		Nicht direkt. Andere Spieler knnen nur die Kommentare in Bereichen lesen, die auch fr sie zugnglich sind, z.B. der Dorfplatz. Moderatoren und Admins knnen hingegen alle Nachrichten und auch Mails lesen, um bei Problemen helfen zu knnen. Das heisst natrlich nicht, dass Sie Deine Mails durchforsten, aber wenn Du wirklich private Dinge besprechen willst, dann verwende lieber ein anderes Medium dafr.`n
		`n');
	
}



function help_get_faq_general () {
	
	return('
		`^1.  Was ist das Ziel des Spiels?`@`n
		Mdls aufreissen.`n
		Nein, im ernst. Ziel des Spiels ist es, den grnen Drachen zu besiegen.`n
		`n
		`^2.  Wie finde ich den grnen Drachen?`@`n
		Gar nicht.`n
		Ok, sowas in der Art. Du kannst ihn erst finden, wenn du ein bestimmtes Level erreicht hast. Sobald du soweit bist, wird es offensichtlich sein.`n
		`n
		`^3.  Wie steigere ich mein Level?`@`n
		Sende uns Geld.`n
		Nein, sende uns kein Geld - du steigerst dein Level, indem du gegen Monster im Wald kmpfst. Sobald du genug Erfahrungspunkte gesammelt hast, kannst du deinen Meister im Dorf herausfordern.`n
		`n
		Nun, du kannst uns trotzdem Geld schicken (PayPal Link fr Programmierer, Anfrage fr Server-Admin)`n
		`n
		`^4.  Warum kann ich meinen Meister nicht besiegen?`@`n
		Er ist viel zu gerissen fr Deinesgleichen.`n
		Hast du ihn gefragt, ob du schon genug Erfahrung hast?`n
		Hast du mal versucht, dir eine Rstung oder bessere Waffen im Dorf zu kaufen?`n
		Hast du dir etwas Mut angetrunken?`n
		`n
		`^5.  Ich habe alle meine Zge aufgebracht. Wie krieg ich mehr?`@`n
		Schicke Geld.`n
		Nein, leg deinen Geldbeutel weg. Es *gibt* einige Wege, eine oder zwei Extrarunden zu bekommen, aber sonst musst du einfach bis morgen warten. Am nchsten Tag wirst du wieder Energie haben.`n
		Frag uns nicht, was diese Mglichkeiten sind - einige Dinge machen Spass, sie selber herauszufinden.`n
		`n
		`^6.  Wann beginnt ein neuer Tag?`@`n
		Gleich nachdem der alte aufhrt.`n
		`n
		`^7.  Arghhh, ihr Typen bringt mich mit euren schlauen Antworten noch um - knnt ihr mir keine direkten Antworten geben?`@`n
		Nop.`n
		Naja, gut. Neue Tage hngen mit der Uhr im Dorf (und in der Kneipe) zusammen. Wenn die Uhr Mitternacht anzeigt, erwarte den neuen Tag. Wie oft am Tag die Uhr in LoGD Mitternacht zeigt, variiert von Server zu Server. Der BETA-Server hat 4, der SourceForge Server 2 Spieltage pro Kalendertag. Die Anzahl der Tage bestimmt der Admin. Auf diesem Server gibt es '.getsetting('daysperday',2) . ' Spieltage pro Kalendertag.`n
		`n
		`^8.  Irgendwas ist schiefgegangen!!! Wie kann ich euch informieren?`@`n
		Schicke Geld.  Noch besser, sende eine Anfrage. In einer Anfrage nach Hilfe sollte aber nicht "Das geht nicht", "Ich bin kaputt", oder "Jo, was geht?" stehen. In einer Hilfeanfrage *sollte* mglichst genau und komplett beschrieben werden, *was* nicht funktioniert. Bitte teile uns mit, was passiert ist, wie die Fehlermeldung war (kopiere sie rein), wann sie erschien und alles, was hilfreich sein knnte. \"Das is kaputt\" ist nicht hilfreich. \"Da fliegt immer ein Lachs aus meinem Monitor, wenn ich mich einlogge\" ist wesentlich genauer. Und witziger. Auch wenn wir daran nicht viel ndern knnten.`nBitte habe Geduld. Viele Leute spielen das Spiel und wenn die Admins mit "Jo - was geht?"-Nachrichten ausgelastet sind, dauert es mit der Antwort manchmal eine Weile. Wende dich bei Problemen NICHT direkt an einen MOD(erator) oder Admin, sondern nutze nach Mglichkeit IMMER die Hilfefunktion, da du nur so sicher gehen kannst dass dein Anliegen auch wirklich von allen gesehen und bearbeitet werden kann und nicht i		n der Mailflut untergeht, die einen MOD tglich ereilt.`n
		`n
		`^9.  Was, wenn ich nur "yo - was geht?" zu sagen habe?`@`n
		Wenn du nichts Schnes (oder Ntzliches oder Interessantes oder Kreatives fr die Stimmung des Spiels) zu sagen hast, sag einfach garnichts.`n
		Aber wenn du mit einer bestimmten Person quatschen willst, schicke eine Mail mit Ye Olde Post Office.`n
		`n
		`^10.  Wie mache ich "Aktionen" (emotes)?`@`n
		Gebe :: (oder /me )vor deinem Text ein.`n
		`n
		`^11.  Was ist eine "Aktion" (emote)?`@`n
		`&Offensichtlicheantwort schlgt dir in die Weichteile.`n
		`@Das ist eine "Aktion". Du kannst im Dorf statt nur zu "sagen" auch "Aktionen" darstellen.`n
		`n
		`^12.  Wie bekommt man Farben in den Namen?`@`n
		Iss lustige Pilze.`n
		Nein, leg die Pilze weg, Farben in Charakternamen zeigen an, dass jemand fr den Betaprozess wichtig war. Also als Belohnung fr gefundene Fehler, erschaffene Kreaturen, etc., oder mit dem Admin verheiratet zu sein (*hust*Appleshiner*hust*)`n
		Du kannst auch Punkte sammeln und dir so selbst einen farbigen Namen verdienen. Mehr dazu findest du in der Jgerhtte.`n
		`n
		`^13. Moin 41t3r, is es c00l, 411g3m31ne Ch47 Wrterz und 1337 5p34k im D0rf zu v3rw3nd3n?`@`n
		NEIN! Uns zu liebe verwende Buchstaben zum Schreiben, vollstndige Worte und verstndliche Grammatik. Auerdem verwendet auf den allgemein zugnglichen Spielorten keine schwarze Farbe, da eure Kommentare dann nur sehr schwer zu lesen sind. BITTE!`n
		`n
		`^14. Ist es gut ganz ganz viele Lebenspunkte zu haben?`@`n
		Jain! Zum Einen kannst du mit vielen Lebenspunkten natrlich einfacher gegen andere Spieler im Kampf ankommen, andererseits solltest du jedoch bedenken, dass mit dir auch die Monster strker werden, und dass nach jedem Kampf im Wald auch die Heilung teurer wird, wenn du extrem viele Lebenspunkte hast. Das Gold, was du nach einem erfolgreichen Kampf erhlst bleibt aber gleich.
		berlege dir also gut, ob du das willst.`n
		`n
		`^15. Ich bin ein Dieb. Kann ich mir dann nicht einfach Schlssel zu Husern geben lassen und dort den Schatz plndern?`@`n
		Ja, kannst du schon, nur wirst du dann gelscht weil es VERBOTEN ist ;)`n
		`n
		`^16.  An wen wende ich mich, wenn noch Fragen sind?`@`n
		Geh ins Dorfamt und erkundige dich dort nach weiteren Spielregeln! Und wenn das nicht hilft, schreibe einfach einen MODerator (kurz MOD) an. Du erkennst einen MOD daran, dass er ein Sternchen (*) vor seinem Namen hat. `n
		`n
		`^17.  Wer ist das Management?`@`n
		Dieser Server wird von `bDragonslayer`b und `bLivondriel`b betrieben, fr die Programmierung sind Maris und Talion verantwortlich. Habt ihr anderweitige Fragen, wendet euch an die Moderatoren Mirage, Sith und Ibga.`n
		Da die Admins, MODs und Programmierer sehr viel Zeit und Arbeit in dieses Spiel stecken, und sie nicht immer dazu kommen, ihre Runden zu spielen, sind sie berechtigt, die Werte ihrer Mod-Charaktere manuell anzupassen (was nicht zwangsweise auch genutzt wird). Aus diesem Grund laufen diese Charaktere in allen Listen auer Konkurrenz und Wertung.`n
		`n`n');
	
}

function help_get_faq_game () {
	
	return('
		`^1.  Wie bekommt man Edelsteine?`@`n
			In die Minen mit dir!!`n
			Nein, du kannst nicht danach graben. (Ok, du kannst doch, aber nur wenn du Glck hast und die Mine findest. Aber Achtung! Minen knnen gefhrlich sein.) Edelsteine knnen bei zuflligen \"Besonderen Ereignissen\" im Wald gefunden werden. Wenn du oft genug spielst, stolperst du an einigen Punkten ganz sicher ber welche. Gelegentlich knnen auch Edelsteine bei Waldkmpfen gefunden werden.
			`n
			`n
			`^2.  Warum scheinen manche Spieler mit niedrigem Level so eine Menge Lebenspunkte zu haben?`@`n
			Weil sie grsser sind als du.`n
			Nein, ehrlich, sie *sind* grsser als du. Du wirst auch eines Tages gross sein.`n
			`n
			`^3.  Hat das was mit den Titeln der Leute zu tun?`@`n
			Aber klar!`n
			Jedesmal, wenn du den Drachen killst, bekommst du einen neuen Titel und wirst wieder Level 1. Also hatten Spieler mit Titel und niedrigem Level die Chance, sich zu steigern. (Siehe Ruhmeshalle)`n
			`n
			`^4. Warum haben einige Spieler so lange Bios und ich nicht?`n
			`@Weil sie was Besonderes sind!`n
			Das ist tatschlich so. Manche Spieler sind Auserwhlte und haben dafr mehr Platz fr ihre Biographien zur Verfgung. 
			`n`n
			`^5. Und wie werde ich auserwhlt?`n
			`@Lass dich ttowieren!`n
			Aber Stop! Renn nicht gleich zu dem netten Mann mit der Glatze und dem Brenneisen um die Ecke. Im Laufe des Spiels wirst du auf bestimmte Schreine treffen. Wenn du dich als wrdig erweist, wird dir dort ein Mal eingebrannt. Hast du eine bestimmte Menge zusammen, wirst vielleicht auch du auserwhlt!
			`n`n
			`^6.  Warum schlgt mich dieser alte Mann im Wald stndig mit einem hsslichen/hbschen Stock?`@`n
			Du siehst aus wie eine Pinata!`n
			Nein, das ist ein besonderes Ereignis, das dir Charme geben oder nehmen kann.`n
			`n
			`^7.  Wozu ist Charme gut?`@`n
			Mdls aufreissen.`n
			Nun, das *ist* tatschlich der Sinn. Besuche einige Personen in der Kneipe und du wirst diesen Punkt verstehen. Je mehr Charme du hast, umso erfolgreicher wird dein Werben beim Volk ankommen.`n
			`n
			`^8.  Okay, ich hab den alten Mann im Wald gesehen und er hat mich mit seinem hsslichen Stock geschlagen, aber es hie, ich wre hsslicher als sein Stock und der Stock hat einen Charmpunkt verloren. Was ist da los?`@`n
			Du bist ganz klar, das abstossendste Wesen auf diesem Planeten. Und wenn du die Person bist, die gerade diese Frage gestellt hat, dann bist du auch noch die dmmste. Zieh mal deine eigenen Rckschlsse. Also wirklich.`n
			Okay, wir haben gesagt, du wrst der Dmmste, also: Es bedeutet, dass du gerade 0 Charmpunkte hast.`n
			`n
			`^9.  Wie kann ich meinen Charme sehen?`@`n
			Schau ab und zu mal in den Spiegel.`n
			Wir scherzen - es gibt keinen Spiegel. Du musst einen Freund fragen, wie du heute aussiehst. Die Antwort kann ungenau sein, aber sie gibt dir einen Anhaltspunkt, wie es mit dir steht.`n
			`n
			`^10.  Wie kommen wir in andere Drfer?`@`n
			Nimm den Zug.`n
			Tatschlich gibt es keine anderen Drfer. Jede Erwhnung anderer Drfer oder Lnder (z.B. Eythgim folks im Wald) dient nur dazu, dem Spiel mehr Tiefe zu geben. `n
			`n
			`^11. Was ist Ehre?`@`n
			In diesem Spiel kommt es nicht nur darauf an, Punkte zu sammeln, sondern auch darauf, wie man die Punkte bekommt.
			Ein ehrenhaftes Vorgehen bringt gewisse Vorteile, allerdings knnte es lnger dauern...`n
			`n
			`^12.  Wie heirate ich?`@`n
			Willst du das wirklich?`n
			Auf deine Verantwortung. Du kannst hier andere Spieler oder NPCs heiraten. Vorher musst du allerdings das Herz deiner Auserwhlten oder deines Auserwhlten durch Flirten erobern.
			 Verheiratete Spieler haben einen kleinen Vorteil gegenber Singles.`n
			 `n
			`^14.  Was ist der Name dieses Dorfes?`@`n
			Wie, DAS weit du nicht?!`n
			Unser Stdtchen trgt den Namen '.getsetting('townname','Atrahor').'!`n
			`n
			`^15.  Wie wird man so verdammt attraktiv?`@`n
			Durch ne Menge Gesichtsmasken, mein Lieber!! MightyE bevorzugt speziell eine Maske aus Grapefruit Essenz.`n
			');
	
}


?>
